我的位置:首页 > Java开发>Java web

SpringBoot 解决“不支持发行版本xx”的问题

时间:2020-02-07 14:16:00 来源:互联网 作者: 神秘的大神 字体:

 

原因:很多地方都要配置jdk版本,某些地方配置的jdk版本不同。比如你要使用jdk8,某些地方配成了jdk7。

 

最常见配置错的地方:Ctrl+Shift+Alt+S

 

 

如果没问题,查看Project中的jdk版本:

 

 

如果还没问题,查看编译使用的jdk版本:Ctrl+Alt+S

 

 

将jdk版本不对的地方改了,重新运行即可。

 

ps:一般使用jdk7、8。